summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-11 22:54:40 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:40 +0200
commit8cf1fc1a219ad1941d35d074475a1f0163dff99b (patch)
treef96f18823fe125b4b3fcc70456c3aced33528e03
parent17b116f09063614cd32272e0823537cda086dae9 (diff)
downloadslackbuilds-8cf1fc1a219ad1941d35d074475a1f0163dff99b.tar.gz
slackbuilds-8cf1fc1a219ad1941d35d074475a1f0163dff99b.tar.xz
network/bmon: Added to 12.1 repository
-rw-r--r--network/bmon/README8
-rw-r--r--network/bmon/bmon.SlackBuild60
-rw-r--r--network/bmon/bmon.info8
-rw-r--r--network/bmon/slack-desc11
4 files changed, 87 insertions, 0 deletions
diff --git a/network/bmon/README b/network/bmon/README
new file mode 100644
index 0000000000..a409d75ab8
--- /dev/null
+++ b/network/bmon/README
@@ -0,0 +1,8 @@
+bmon is a portable bandwidth monitor and rate estimator running on
+various operating systems. It supports various input methods for different
+architectures. Various output modes exist including an interactive curses
+interface, lightweight HTML output but also formatable ASCII output.
+
+Statistics may be distributed over a network using multicast or unicast
+and collected at some point to generate a summary of statistics for a
+set of nodes.
diff --git a/network/bmon/bmon.SlackBuild b/network/bmon/bmon.SlackBuild
new file mode 100644
index 0000000000..b6fc3623a6
--- /dev/null
+++ b/network/bmon/bmon.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for bmon
+
+# Written by B. Watson (yalhcru at gmail dot com)
+
+PRGNAM=bmon
+VERSION=${VERSION:-2.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+strip $PKG/usr/bin/$PRGNAM
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+cp BUGS TODO ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/bmon/bmon.info b/network/bmon/bmon.info
new file mode 100644
index 0000000000..a3c6d7eff1
--- /dev/null
+++ b/network/bmon/bmon.info
@@ -0,0 +1,8 @@
+PRGNAM="bmon"
+VERSION="2.0.1"
+HOMEPAGE="http://people.suug.ch/~tgr/bmon/"
+DOWNLOAD="http://people.suug.ch/~tgr/bmon/files/bmon-2.0.1.tar.gz"
+MD5SUM="d0da9d05f18c82a621171985d536dec7"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/bmon/slack-desc b/network/bmon/slack-desc
new file mode 100644
index 0000000000..1e3e57676a
--- /dev/null
+++ b/network/bmon/slack-desc
@@ -0,0 +1,11 @@
+bmon: bmon (portable bandwidth monitor and rate estimator)
+bmon: bmon is a portable bandwidth monitor and rate estimator running on
+bmon: various operating systems. It supports various input methods for different
+bmon: architectures. Various output modes exist including an interactive curses
+bmon: interface, lightweight HTML output but also formatable ASCII output.
+bmon:
+bmon: Statistics may be distributed over a network using multicast or unicast
+bmon: and collected at some point to generate a summary of statistics for a
+bmon: set of nodes.
+bmon:
+bmon: Homepage: http://people.suug.ch/~tgr/bmon/